yast2-x11: Xf86ConfigAgent Class Reference

Main Page | Class Hierarchy | Class List | Directories | File List | Class Members | File Members

# Xf86ConfigAgent Class Reference

`#include <Xf86ConfigAgent.h>`

Inheritance diagram for Xf86ConfigAgent:

List of all members.

## Public Member Functions
| Xf86ConfigAgent ()
YCPValue | Read (const YCPPath &path, const YCPValue &arg=YCPNull(), const YCPValue &opt=YCPNull())
YCPBoolean | Write (const YCPPath &path, const YCPValue &value, const YCPValue &arg=YCPNull())
YCPList | Dir (const YCPPath &path)
## Private Member Functions
void | init (void)
int | shellCommand (const string command)
YCPValue | readYCPFile (const string ycp_file)
YCPValue | mergeMaps (YCPMap target, YCPMap source)
ValueComment | getValueComment (const YCPMap config_map, const string key)
void | writeKeyboardSection (const YCPMap &config_map, FILE *file)
void | writeMouseSection (const YCPMap &config_map, FILE *file)
void | writePathSection (const YCPMap &config_map, FILE *file)
YCPValue | ReadAllXFree4 (const YCPValue &arg=YCPNull())
YCPValue | ReadXF86Config (const string section, const YCPValue &arg=YCPNull())
YCPValue | ReadKeyboard (const YCPValue &arg=YCPNull())
YCPValue | ReadMouse (const YCPValue &arg=YCPNull())
YCPValue | ReadCard (const YCPValue &arg=YCPNull())
YCPValue | ReadDesktop (const YCPValue &arg=YCPNull())
YCPValue | ReadPath (const YCPValue &arg=YCPNull())
YCPValue | ReadLayout (const YCPValue &arg=YCPNull())
YCPBoolean | UpdateKeyboard (const YCPMap &config_map, const YCPValue &arg=YCPNull())
YCPBoolean | UpdateMouse (const YCPMap &config_map, const YCPValue &arg=YCPNull())
YCPBoolean | UpdatePath (const YCPMap &config_map, const YCPValue &arg=YCPNull())

## Constructor & Destructor Documentation

Xf86ConfigAgent::Xf86ConfigAgent | ( |  | ) |

## Member Function Documentation

YCPList Xf86ConfigAgent::Dir | ( | const YCPPath & | path | ) | `[virtual]`

| Get a list of all subtrees. Implements SCRAgent.

ValueComment Xf86ConfigAgent::getValueComment | ( | const YCPMap | config_map,
|  | const string | key
| ) | `[private]`

void Xf86ConfigAgent::init | ( | void |  | ) | `[private]`

YCPValue Xf86ConfigAgent::mergeMaps | ( | YCPMap | target,
|  | YCPMap | source
| ) | `[private]`

YCPValue Xf86ConfigAgent::Read | ( | const YCPPath & | path,
|  | const YCPValue & | arg = `YCPNull()`,
|  | const YCPValue & | opt = `YCPNull()`
| ) | `[virtual]`

  | Reads data. Destroy the result after use. Parameters:
  | path | Specifies what part of the subtree should be read. The path is specified _relatively_ to Root()!
Implements SCRAgent.

YCPValue Xf86ConfigAgent::ReadAllXFree4 | ( | const YCPValue & | arg = `YCPNull()` | ) | `[private]`

YCPValue Xf86ConfigAgent::ReadCard | ( | const YCPValue & | arg = `YCPNull()` | ) | `[private]`

YCPValue Xf86ConfigAgent::ReadDesktop | ( | const YCPValue & | arg = `YCPNull()` | ) | `[private]`

YCPValue Xf86ConfigAgent::ReadKeyboard | ( | const YCPValue & | arg = `YCPNull()` | ) | `[private]`

YCPValue Xf86ConfigAgent::ReadLayout | ( | const YCPValue & | arg = `YCPNull()` | ) | `[private]`

YCPValue Xf86ConfigAgent::ReadMouse | ( | const YCPValue & | arg = `YCPNull()` | ) | `[private]`

YCPValue Xf86ConfigAgent::ReadPath | ( | const YCPValue & | arg = `YCPNull()` | ) | `[private]`

YCPValue Xf86ConfigAgent::ReadXF86Config | ( | const string | section,
|  | const YCPValue & | arg = `YCPNull()`
| ) | `[private]`

YCPValue Xf86ConfigAgent::readYCPFile | ( | const string | ycp_file | ) | `[private]`

int Xf86ConfigAgent::shellCommand | ( | const string | command | ) | `[private]`

YCPBoolean Xf86ConfigAgent::UpdateKeyboard | ( | const YCPMap & | config_map,
|  | const YCPValue & | arg = `YCPNull()`
| ) | `[private]`

YCPBoolean Xf86ConfigAgent::UpdateMouse | ( | const YCPMap & | config_map,
|  | const YCPValue & | arg = `YCPNull()`
| ) | `[private]`

YCPBoolean Xf86ConfigAgent::UpdatePath | ( | const YCPMap & | config_map,
|  | const YCPValue & | arg = `YCPNull()`
| ) | `[private]`

YCPBoolean Xf86ConfigAgent::Write | ( | const YCPPath & | path,
|  | const YCPValue & | value,
|  | const YCPValue & | arg = `YCPNull()`
| ) | `[virtual]`

| Writes data. Destroy the result after use. Implements SCRAgent.

void Xf86ConfigAgent::writeKeyboardSection | ( | const YCPMap & | config_map,
|  | FILE * | file
| ) | `[private]`

void Xf86ConfigAgent::writeMouseSection | ( | const YCPMap & | config_map,
|  | FILE * | file
| ) | `[private]`

void Xf86ConfigAgent::writePathSection | ( | const YCPMap & | config_map,
|  | FILE * | file
| ) | `[private]`

The documentation for this class was generated from the following files:

- Xf86ConfigAgent.h
- Xf86ConfigAgent.cc